Bug 117953 - VIEWING: Default text position in form text box changes with scale (zoom) when aligned to right in Writer
Summary: VIEWING: Default text position in form text box changes with scale (zoom) whe...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Zoom-Issues
  Show dependency treegraph
 
Reported: 2018-06-01 09:35 UTC by cdlvcdlv
Modified: 2019-06-22 02:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cdlvcdlv 2018-06-01 09:35:31 UTC
To replicate this:

1. Go to Form/Text Box
   Create the box anywhere in document.
      a. Less tall than characters.
      b. Too narrow for the default text you will enter.
      c. Wide and tall enough (even in excess) for the default text you need.
2. On the new text box, Right-click/Control
   Default text: Write some words
   Alignment: Left
3. Close Properties Text Box
4. Change Scale (View/Zoom or Ctrl-Mouse Wheel)
   It only works right in case c. In the two others the position of the text changes every time. If you export as PDF it works as expected always.
5. Now change the height or width of the box. The right one will work fine even when you change the dimensions to be too small. The wrong ones will not work right from now (the only way to get it right is delete and recreate it).

So I think there is a workaround (ALWAYS create the form text boxes oversized and change the size to what you need afterwards) but it should not be this way.
Comment 1 cdlvcdlv 2018-06-01 09:37:07 UTC
Sorry, my fault. Alignment should be RIGHT, not LEFT.
Comment 2 Buovjaga 2018-06-21 17:03:32 UTC
Repro. It fluctuates so we might see a letter in the right disappear in a certain zoom state.

There are similar issues elsewhere in LibreOffice.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 0929a98acca8ec4d86caa97d3090a39f89f35f90
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 20th 2018

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 QA Administrators 2019-06-22 02:49:46 UTC
Dear cdlvcdlv,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug